Bug 525922 - segfault of unimplemented perfctr
segfault of unimplemented perfctr
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-27 04:40 EDT by Sascha Thomas Spreitzer
Modified: 2009-11-20 14:30 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 14:30:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sascha Thomas Spreitzer 2009-09-27 04:40:53 EDT
Description of problem:
Host: F11 x86_64 
VM: Centos 5.3 x86_64

After creating a RAID5, instantly creating a lvm physical volume with /dev/md0 causes VM to crash.

/var/log/dmesg:
[...]
kvm: 3163: cpu0 unimplemented perfctr wrmsr: 0xc0010004 data 0x0
kvm: 3163: cpu0 unimplemented perfctr wrmsr: 0xc0010000 data 0x130076
kvm: 3163: cpu0 unimplemented perfctr wrmsr: 0xc0010004 data 0xffffffffffdce732
kvm: 3163: cpu0 unimplemented perfctr wrmsr: 0xc0010000 data 0x530076
kvm: 3163: cpu1 unimplemented perfctr wrmsr: 0xc0010004 data 0x0
kvm: 3163: cpu1 unimplemented perfctr wrmsr: 0xc0010000 data 0x130076
kvm: 3163: cpu1 unimplemented perfctr wrmsr: 0xc0010004 data 0xffffffffffdce732
kvm: 3163: cpu1 unimplemented perfctr wrmsr: 0xc0010000 data 0x530076
kvm: 3163: cpu2 unimplemented perfctr wrmsr: 0xc0010004 data 0x0
kvm: 3163: cpu2 unimplemented perfctr wrmsr: 0xc0010000 data 0x130076
__ratelimit: 2 callbacks suppressed
qemu-kvm[3163]: segfault at 0 ip 00000000004735c5 sp 00007fff54d0f680 error 4 in qemu-kvm[400000+1da000]
[...]

Version-Release number of selected component (if applicable):
[~]# uname -r
2.6.30.5-43.fc11.x86_64
[~]# rpm -qi qemu-kvm
Name        : qemu-kvm                     Relocations: (not relocatable)
Version     : 0.10.6                            Vendor: Fedora Project
Release     : 4.fc11                        Build Date: Fr 04 Sep 2009 12:50:38 CEST
[...]


How reproducible:
Everytime overwriting /dev/md0 over synced area.

Steps to Reproduce:
1. mdadm -C -l 5 /dev/md0 ...
2. pvcreate /dev/md0
3.
  
Actual results:
VM crashes.

Expected results:
PV should be created.

Additional info:
N/A
Comment 1 Mark McLoughlin 2009-10-01 11:35:32 EDT
Thanks for the report

Could you include details of the guest configuration etc.? See:

  https://fedoraproject.org/wiki/Reporting_virtualization_bugs

(In reply to comment #0)

> kvm: 3163: cpu0 unimplemented perfctr wrmsr: 0xc0010004 data 0x0

these are just warnings, I doubt they're the cause of your crash

> qemu-kvm[3163]: segfault at 0 ip 00000000004735c5 sp 00007fff54d0f680 error 4
> in qemu-kvm[400000+1da000]

To figure out what caused this segfault, we need to get a stack trace

best way is probably to install qemu-debuginfo, start the guest, do gdb qemu-kvm $pid_of_process, 'cont' and trigger the crash; then do 'thread apply all bt full'
Comment 2 Mark McLoughlin 2009-11-20 14:30:48 EST
No response to needinfo since 2009-10-01, closing

Note You need to log in before you can comment on or make changes to this bug.